Bug 126739 - [PATCH] AltGr combinations don't work with some X servers
[PATCH] AltGr combinations don't work with some X servers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gtk2 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-06-25 11:29 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 22:33:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdk-keysym-nosymbol4.patch (2.74 KB, patch)
2004-06-25 11:30 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2004-06-25 11:29:29 EDT
The problem occurs with some X servers like Hummingbird, ReflectionX
and X-Win32.

The X server is connected to a Linux server running GDM via XDMCP.

When the server is configured to use the Swiss German keyboard layout,
(or the
Swiss French, or the France French for the matter), it is impossible
to enter
any of the Mode_Switched characters within GTK based applications.
Traditional
applications such as XTerm, Emacs operate correctly. A simple test is that
entering AltGr+7 should output a pipe '|'. When gnome-terminal is run with
XFree86 this works, but with ReflectionX it fails.

After thorough investigation this problem has been tracked down to a
bug in the
GDK keyboard translation code. This assumes that the value of
keysyms_per_keycode returned by the XGetKeyboardMapping method is an even
number. On ReflectionX with SwissGerman keyboard layout the value is
3, thus
breaking the code which does lookups into the keycode -> keysymbol map
when
Mode_Switch (AltGr) is pressed.

Patch attached below.
Comment 1 Bastien Nocera 2004-06-25 11:30:32 EDT
Created attachment 101413 [details]
gdk-keysym-nosymbol4.patch

From upstream.
Comment 2 Bastien Nocera 2004-07-22 11:16:50 EDT
Added to the blocker candidates.
Comment 4 John Flanagan 2004-12-20 22:33:46 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-488.html

Note You need to log in before you can comment on or make changes to this bug.